Skip to main content
GET
/
orchestration
/
orchestrations
List Orchestrations
curl --request GET \
  --url https://api.paxos.com/v2/orchestration/orchestrations \
  --header 'Authorization: Bearer <token>'
{
  "orchestrations": [
    {
      "id": "e5f6a7b8-9c0d-1e2f-3a4b-c5d6e7f8a9b0",
      "profile_id": "7c4e8f2a-1d3b-4a5e-9f6c-8b2d7e0a4f1c",
      "customer_id": "a1b2c3d4-5e6f-7a8b-9c0d-e1f2a3b4c5d6",
      "ref_id": "orch-usdc-usdg-a3b1c2d4",
      "source_asset": "USDC",
      "destination_asset": "USDG",
      "source_amount": "100",
      "status": "PROCESSING",
      "source": {
        "profile": {
          "profile_id": "7c4e8f2a-1d3b-4a5e-9f6c-8b2d7e0a4f1c"
        }
      },
      "destination": {
        "crypto": {
          "address_id": "d4e5f6a7-8b9c-0d1e-2f3a-b4c5d6e7f8a9"
        }
      },
      "created_at": "2026-04-20T12:30:01.397730Z",
      "updated_at": "2026-04-20T12:30:01.397730Z",
      "metadata": {
        "my_id": "4f8a2b6c-9d1e-4c3a-b5f7-0e2d8a7c1b9f"
      }
    }
  ],
  "next_page_cursor": "<string>",
  "items": [
    {
      "id": "e5f6a7b8-9c0d-1e2f-3a4b-c5d6e7f8a9b0",
      "profile_id": "7c4e8f2a-1d3b-4a5e-9f6c-8b2d7e0a4f1c",
      "customer_id": "a1b2c3d4-5e6f-7a8b-9c0d-e1f2a3b4c5d6",
      "ref_id": "orch-usdc-usdg-a3b1c2d4",
      "source_asset": "USDC",
      "destination_asset": "USDG",
      "source_amount": "100",
      "status": "PROCESSING",
      "source": {
        "profile": {
          "profile_id": "7c4e8f2a-1d3b-4a5e-9f6c-8b2d7e0a4f1c"
        }
      },
      "destination": {
        "crypto": {
          "address_id": "d4e5f6a7-8b9c-0d1e-2f3a-b4c5d6e7f8a9"
        }
      },
      "created_at": "2026-04-20T12:30:01.397730Z",
      "updated_at": "2026-04-20T12:30:01.397730Z",
      "metadata": {
        "my_id": "4f8a2b6c-9d1e-4c3a-b5f7-0e2d8a7c1b9f"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paxos.com/llms.txt

Use this file to discover all available pages before exploring further.

OAuth Scope
orchestration:read_orchestration

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

orchestration_rule_id
string[]

Optionally filter by the initiating orchestration rule ids. There is a limit of 100 orchestration rule ids that can be specified in a single request.

source_asset
string[]

Optionally filter by source assets. There is a limit of 100 source assets that can be specified in a single request.

destination_asset
string[]

Optionally filter by destination assets. There is a limit of 100 destination assets ids that can be specified in a single request.

status
string[]

Optionally filter by statuses. There is a limit of 100 statuses that can be specified in a single request.

created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Sort order for the results. Defaults to DESC by created_at time.

Available options:
DESC,
ASC
page_cursor
string

Optional Cursor for getting the next page of results.

orchestration_id
string[]

Optionally filter by a list of orchestration IDs. There is a limit of 100 orchestration ids that can be specified in a single request.

profile_id
string[]

Optionally filter by the target profiles. There is a limit of 100 profiles that can be specified in a single request.

ref_id
string[]

Optionally filter by client-provided reference IDs. There is a limit of 100 ref_ids that can be specified in a single request.

Response

200 - application/json

A successful response.

orchestrations
object[]

Deprecated: Use items instead. This field will be removed in a future version.

next_page_cursor
string
items
object[]